Bug 1014071 - DataModelOracle: Performance issues when model is large. Re-write to provide more granular retrieval
DataModelOracle: Performance issues when model is large. Re-write to provide ...
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high
: ER5
: 6.0.0
Assigned To: manstis
Zuzana Krejčová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 07:30 EDT by manstis
Modified: 2016-07-31 21:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:20:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description manstis 2013-10-01 07:30:38 EDT
Description of problem:

DataModelOracle is the "meta data engine" for all Drools editors. It contains details of types available for authoring, their fields and data-types etc. At the moment it is constructed as a single large object and marshalled to the client. The marshalling can take a long time.

Proposal is to re-write DMO access; so that smaller chunks of data are returned to the client on-demand; thus removing the marshalling of one large object.
 
Version-Release number of selected component (if applicable):

6.0.x.

Note You need to log in before you can comment on or make changes to this bug.